# determineCandidateArguments method

Future<List<ArgumentValue>?> determineCandidateArguments(

1. String podName,
2. Executable executable,
3. List<Parameter> parameters

)

Determine the arguments to use for the given pod.

This method is called before pod instantiation to allow the post-processor to determine which arguments should be used for autowiring.

## Parameters

- `podName`: The name of the pod
- `executable`: The executable to use
- `parameters`: The parameters to use

## Return Value

Returns the arguments to use, or null to use the default arguments

## Implementation

    Future<List<ArgumentValue>?> determineCandidateArguments(String podName, Executable executable, List<Parameter> parameters) async => null;